
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ASM disk group mount fails with ORA-15036: disk is truncated [ID 1077175.1] / iVAN</title>

    <meta name="description" content="ASM disk group mount fails with ORA-15036: disk is truncated [ID 1077175.1]   ASM disk group mount fails with ORA-15036: disk is truncated [ID 1077175.1] --------------------------------------------------------------------------------     修改时间 05-OCT-2011     类型 PROBLEM     状态 PUBLISHED   In this Document   Symptoms   Change">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ASM disk group mount fails with ORA-15036: disk is truncated [ID 1077175.1]</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> </p>
<p>ASM disk group mount fails with ORA-15036: disk is truncated [ID 1077175.1]</p>
<p>--------------------------------------------------------------------------------<br />
 <br />
  修改时间 05-OCT-2011     类型 PROBLEM     状态 PUBLISHED  </p>
<p>In this Document<br />
  Symptoms<br />
  Changes<br />
  Cause<br />
  Solution<br />
  References</p>
<p> </p>
<p>--------------------------------------------------------------------------------</p>
<p> </p>
<p>Applies to: <br />
Oracle Server - Enterprise Edition - Version: 10.2.0.1 to 11.2.0.1   [Release: 10.2 to 11.2]<br />
Information in this document applies to any platform.<br />
NOTE: kfed is an Oracle internal utility and should not be used unless advised by Oracle Support. Interpreting kfed output is outside of the scope of this article.<br />
<br />
Symptoms<br />
This problem can be seen in a both single instance and RAC and in any ASM version.</p>
<p>Attempt to mount ASM disk group (DG1) fails with the following errors:</p>
<p>ORA-15032: not all alterations performed<br />
ORA-15036: disk 'ORCL:DATA10' is truncated<br />
ORA-15036: disk 'ORCL:DATA09' is truncated</p>
<p>Changes<br />
Added two disks, ORCL:DATA09 and ORCL:DATA10 to ASM disk group DG1.<br />
Resized the disks at the OS level.</p>
<p>Cause<br />
System/storage administrator presented two new LUNs, 65530 MB each, to the OS to be used by ASM.<br />
ASM administrator/DBA created ASMLIB disks DATA09 and DATA10 with those LUNs and added the disks to disk group DG1.<br />
As the disks were incorrectly sized, the system/storage admin resized the disks to the intended size - 61530 MB. But they did not advise ASM administrator/DBA about this change, so noALTER DISKGROUP RESIZE DISK was performed at the ASM level.<br />
Next time the disk group mount was attempted, the above errors were received and the disk group could not be mounted.</p>
<p>Solution<br />
1. Verify that the issue is just with the disk size mismatch between ASM metadata and the actual disk size. To do that, make use of ASM utility kfed and OS utility fdisk.</p>
<p>1.1. The affected disks (ORCL:DATA09 and ORCL:DATA10) are ASMLIB disks:</p>
<p>$ ls -l /dev/oracleasm/disks<br />
brw-rw---- 1 oracle dba 8, 2 Mar 14 11:25 DATA01<br />
...<br />
brw-rw---- 1 oracle dba 8, 161 Mar 14 11:25 DATA09<br />
brw-rw---- 1 oracle dba 8, 177 Mar 14 11:25 DATA10</p>
<p>1.2. Check the ASM disk headers</p>
<p>$ kfed read /dev/oracleasm/disks/DATA09</p>
<p>kfbh.type: 1 ; 0x002: KFBTYP_DISKHEAD<br />
kfdhdb.driver.provstr: ORCLDISKDATA09 ; 0x000: length=14<br />
kfdhdb.dsknum: 4 ; 0x024: 0x0004<br />
kfdhdb.grptyp: 1 ; 0x026: KFDGTP_EXTERNAL<br />
kfdhdb.hdrsts: 3 ; 0x027: KFDHDR_MEMBER<br />
kfdhdb.dskname: DATA09 ; 0x028: length=6<br />
kfdhdb.grpname: DG1 ; 0x048: length=3<br />
kfdhdb.fgname: DATA09 ; 0x068: length=6<br />
kfdhdb.capname: ; 0x088: length=0<br />
kfdhdb.crestmp.hi: 32934511 ; 0x0a8: HOUR=0xf DAYS=0x13 MNTH=0x2 YEAR=0x7da<br />
kfdhdb.crestmp.lo: 1158806528 ; 0x0ac: USEC=0x0 MSEC=0x7f SECS=0x11 MINS=0x11<br />
kfdhdb.mntstmp.hi: 32934511 ; 0x0b0: HOUR=0xf DAYS=0x13 MNTH=0x2 YEAR=0x7da<br />
kfdhdb.mntstmp.lo: 1158852608 ; 0x0b4: USEC=0x0 MSEC=0xac SECS=0x11 MINS=0x11<br />
kfdhdb.secsize: 512 ; 0x0b8: 0x0200<br />
kfdhdb.blksize: 4096 ; 0x0ba: 0x1000<br />
kfdhdb.ausize: 1048576 ; 0x0bc: 0x00100000<br />
...</p>
<p>That shows the ASM disk header looks fine. Do the same for disk DATA10...</p>
<p>1.3. Check the disk size in the ASM disk header:</p>
<p>$ kfed read /dev/oracleasm/disks/DATA09 | egrep "dskname|dsksize"</p>
<p>kfdhdb.dskname: DATA09 ; 0x028: length=6<br />
kfdhdb.dsksize: 65530 ; 0x0c4: 0x0000fffa</p>
<p>$ kfed read /dev/oracleasm/disks/DATA10 | egrep "dskname|dsksize"</p>
<p>kfdhdb.dskname: DATA10 ; 0x028: length=6<br />
kfdhdb.dsksize: 65530 ; 0x0c4: 0x0000fffa</p>
<p>That shows that both disk headers have the disk size as 65530 MB.</p>
<p>1.4. Check the disk size of the associated LUNs (sd devices):</p>
<p># ls -l /dev/sd* | egrep "8, 161|8, 177"</p>
<p>brw-rw---- 1 root disk 8, 161 Mar 14 11:25 sdk1<br />
brw-rw---- 1 root disk 8, 177 Mar 14 11:25 sdl1<br />
Note the major and minor device numbers above.</p>
<p>1.5. Get the disk size at the OS level:</p>
<p># fdisk -l /dev/sdk</p>
<p>Disk /dev/sdk: 68.7 GB, 68719476736 bytes<br />
255 heads, 63 sectors/track, 8354 cylinders<br />
Units = cylinders of 16065 * 512 = 8225280 bytes</p>
<p>Device Boot Start End Blocks Id System<br />
/dev/sdk1 1 7844 63006898+ 83 Linux</p>
<p># fdisk -l /dev/sdl</p>
<p>Disk /dev/sdl: 68.7 GB, 68719476736 bytes<br />
255 heads, 63 sectors/track, 8354 cylinders<br />
Units = cylinders of 16065 * 512 = 8225280 bytes</p>
<p>Device Boot Start End Blocks Id System<br />
/dev/sdl1 1 7844 63006898+ 83 Linux</p>
<p>Above shows that both disk partitions (/dev/sdk1 and /dev/sdl1) are 61530 MB.</p>
<p>2. Using kfed utility correct the disk size info by updating the ASM disk headers for disks DATA09 and DATA10.</p>
<p>2.1. Read the ASM disk header and save the output into a file:</p>
<p>$ kfed read /dev/oracleasm/disks/DATA09 &gt; /tmp/DATA09_header.kfed</p>
<p>2.2. Using a text editor (e.g. vi) edit file /tmp/DATA09_header.kfed, to modify the following line:</p>
<p>kfdhdb.dsksize: 65530 ; 0x0c4: 0x0000fffa<br />
to<br />
kfdhdb.dsksize: 61530 ; 0x0c4: 0x0000f05a</p>
<p>Save the changes.</p>
<p>Repeat for disk DATA10:</p>
<p>$ kfed read /dev/oracleasm/disks/DATA09 &gt; /tmp/DATA10_header.kfed</p>
<p>Modify:<br />
kfdhdb.dsksize: 65530 ; 0x0c4: 0x0000fffa<br />
to<br />
kfdhdb.dsksize: 61530 ; 0x0c4: 0x0000f05a</p>
<p>2.3. Update the ASM disk headers:</p>
<p>$ kfed merge /dev/oracleasm/disks/DATA09 text=/tmp/DATA09_header.kfed<br />
$ kfed merge /dev/oracleasm/disks/DATA10 text=/tmp/DATA10_header.kfed</p>
<p>3. Mount the disk group and update the disk size info at the ASM level</p>
<p>3.1. Log into ASM instance with the correct privileges</p>
<p>$ sqlplus / as sysdba (or 'sqlplus / as sysasm' in ASM version 11.1 and above)</p>
<p>3.2. Resize the disks</p>
<p>SQL&gt; alter diskgroup DG1 resize disk DATA09 size 61530 M;<br />
SQL&gt; alter diskgroup DG1 resize disk DATA10 size 61530 M;<br />
3.3. Dismount and mount the disk group to verify that it mounts with no errors.</p>
<p> </p>
<p>References</p>
<p> 相关内容</p>
<p> </p>
<p>--------------------------------------------------------------------------------<br />
产品 <br />
--------------------------------------------------------------------------------</p>
<p>•Oracle Database Products &gt; Oracle Database &gt; Oracle Database &gt; Oracle Server - Enterprise Edition<br />
<br />
关键字 <br />
--------------------------------------------------------------------------------<br />
ASM; DISK GROUP <br />
错误 <br />
--------------------------------------------------------------------------------<br />
ORA-15036; ORA-15032</p>
<p> </p>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-21 06:59:45</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/oracle/" title="oracle">oracle</a>, <a href="https://www.iamivan.net/tag/group/" title="group">group</a>, <a href="https://www.iamivan.net/tag/database/" title="database">database</a>, <a href="https://www.iamivan.net/tag/read/" title="read">read</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ASM disk group mount fails with ORA-15036: disk is truncated [ID 1077175.1]的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0OL1jb.html" rel="bookmark">Rebalance Disk Group &plus; ASM Disk Discovery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Disk discovery is the mechanism used to find the operating system names for disks Oracle ASM can access. It is used tofind all the disks that comprise a disk group to be  mounted, the disks an administrator wants to add to a disk group, or the disks			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mye31EM.html" rel="bookmark">&lbrack;INS-30507&rsqb; Empty ASM disk group</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    最近的Oracle 11g RAC安装碰到了INS-30507错误,也就是在grid安装到创建ASM磁盘组的时候找不到任何候选磁盘,google了N多安装指导也没有找到蛛丝马迹.如果你碰到这个问题,不妨往下瞧. 1.错误信息与解释 SEVERE: [FATAL] [INS-30507] Empty ASM disk group. CAUSE: No disks were selected from a managed ASM disk group. ACTION: Select appr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8GZWVM.html" rel="bookmark">How to move ASM spfile to a different disk group &lbrack;ID 1082943&period;1&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  How to move ASM spfile to a different disk group [ID 1082943.1] Goal The goal is to move ASM spfile from one disk group to another. During initial ASM setup the spfile might have been created in a default disk group (e.g. DATA).  The requirement is			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpn1Y2M.html" rel="bookmark">Oracle 11g RAC安装时的INS-30507错误：Empty ASM disk group</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近的Oracle 11g RAC安装碰到了INS-30507错误,也就是在grid安装到创建ASM磁盘组的时候找不到任何候选磁盘,google了N多安装指导也没有找到蛛丝马迹.如果你碰到这个问题,不妨往下瞧. 1.错误信息与解释 SEVERE: [FATAL] [INS-30507] Empty ASM disk group. CAUSE: No disks were selected from a managed ASM disk group. ACTION: Select appropri			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zO2528p.html" rel="bookmark">mdev USB disk auto mount demo</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				/********************************************************************* * mdev USB disk auto mount demo * 说明: * 之前有分析过mdev,这次富林写了一个demo,跟一下,不过呢,在看过之后 * 觉得,需要优化,后面提供了一种兼容eMMC.SD.U盘.SATA自动挂载的方式, * 在功能上可以进步的进行优化,其中的eMMC.SD卡功能需要加强区分,这份脚本 * 中没有进一步识别区分,这份参考			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvrKdWM.html" rel="bookmark">oracle中分区无法识别导致asm diskgroup无法mount问题解决办法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有客户咨询由于主机重启之后,导致四个磁盘组中的data2磁盘组无法mount(报ORA-15032,ORA-15017,ORA-15063),数据库无法open,让我们帮忙分析解决 Wed Mar 09 18:10:53 2016 NOTE: Assigning number (1,1) to disk (/dev/oracleasm/disks/VOL011) Wed Mar 09 18:10:53 2016 ERROR: no read quorum in group: required 1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLa2Nkz.html" rel="bookmark">disk&period;sys蓝屏&colon;安全模式卡在disk&period;sys解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  大家在预装Windows 8或者Linux系统改装Windows 7时会出现卡在正在启动Windows界面或者安全模式卡在加载disk.sys界面.小编今天就是在使用安装版系统删除分区后安装Windows 7不能启动:&quot;正在启动界面安全模式卡在disk.sys&quot; 正常启动如下图: 安全模式下如图: 此类问题大部分都是由于分区格式没有成功转化成为MBR格式导致的,请备份数据,使用纯净安装版安装介质,使用命令转换格式即可. 解决方法就是使用DiskPart工具重新分区. 1. 使用Wi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqaXyKM.html" rel="bookmark">【MOS】Redundant Interconnect ora&period;cluster&lowbar;interconnect&period;haip &lpar;文档 ID 1210883&period;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				                                    &lt;&gt;                                                                                                                                                                                  &gt;                             			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6Zw8gM.html" rel="bookmark">Master Note For Automatic Storage Management &lpar;ASM&rpar; For Operating System &lpar;OS&rpar; Administrators &lbrack;ID 1345</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				In this Document  Purpose   Scope   Master Note For Automatic Storage Management (ASM) For Operating System (OS) Administrators      All Platforms      Linux x86-64      Solaris      HP-UX      IBM AIX      Microsoft Windows      IBM Linux on Z Appli			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyXDdb.html" rel="bookmark" class="title">人类的15个欲望与游戏设计</a>
					<div>
						设计 万事开头难,我们往往在游戏设计初期都会思考这样一个问题,我要做一个什么样的游戏?这个游戏能给玩家带来什么样的乐趣?似乎有不少人在这个时候会变得很困惑.希望此文能够对大家有所帮助~同时有不到之处还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apX7B4M.html" rel="bookmark" class="title">Fireworks MX2004之Shapes工具组应用实例 -- 变形花朵</a>
					<div>
						应用实例 在FWMX2004之Shapes初探系列的教程中,曾经给大家演示了用工具箱Shapes工具组的Star(星形)工具制作的一个变形的花朵效果,不知道大家是否还记得,这里我们再次制作了一种变形花 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNB6xM.html" rel="bookmark" class="title">628事件中网站被K 你是否知晓是何原因所致？</a>
					<div>
						在近日,无论是站长论坛也好,站长群也罢,628事件无疑是最为热门的话题之一,当然这也是百度近些年来第一次这么大幅度的调整,以至于很多网站被K,当然小编手下的一个站点也未能幸免,当面对站点被K的时候,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZjrqz.html" rel="bookmark" class="title">自己动手写Web容器之TomJetty（六） 动态页面引入</a>
					<div>
						在上一节,我们已经完成了TomJetty服务器处理静态页面请求的功能.但是只能处理静态页面请求的服务器并不能满足我们的要求,所以本节我们将为TomJetty服务器完成动态页面请求的处理工作. 所谓动态 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2699b.html" rel="bookmark" class="title">如何设计一套事件日志API</a>
					<div>
						简介 业界目前已经在以下这一点上达成了强烈的共识:API的设计应该是按照前端到后端的次序进行的,将重点放在开发者对API的使用上.在某个发展兴旺的商业体中,通常会存在着许多互相竞争的产品与API的实现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKDe8M.html" rel="bookmark" class="title">安装系统找不到硬盘的解决办法</a>
					<div>
						安装系统找不到硬盘的解决办法   首先我们从外围找原因,一块硬盘要工作首先必须要有电源,还有一条IDE线与主板相连. 所以不认硬盘,必须先用替换法排除IDE和电源线的问题. 排除外围因素之后就可以找内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx1dob.html" rel="bookmark" class="title">Word文档中的表格位置调动及定位</a>
					<div>
						步骤一: 首先,将鼠标选中表格中,单击菜单栏上的 &quot;表格&quot;中&quot;表格属性&quot;,在表格选项卡中选择&quot;文字环绕&quot;的&quot;环绕&quot;,右侧 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7qR6b.html" rel="bookmark" class="title">Windows 7美中不足的地方有哪些？</a>
					<div>
						自从10月底高调上市以来,Windows 7便被很多人誉为微软最为优秀的一款操作系统.但世上没有完美的操作系统,Windows 7也一样.Windows 7赢得了很多用户的好评.有用户在微软论坛中说, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42dKPM.html" rel="bookmark" class="title">组装机与品牌机的区别是什么</a>
					<div>
						组装机和品牌机的区别: 这里简单说说品牌机和自己组装电脑的区别.强调一点,目前所有的品牌机都是组装机,只不过品牌机是大批量采购组装后经过测试,印上自己的品牌,然后利用自己的销售网络进行销售.这就是我在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3ldjp.html" rel="bookmark" class="title">个性化图标因切换主题被删除掉怎么办</a>
					<div>
						  设置方法: 1.首先右击鼠标选择&quot;个性化&quot;设置,在弹出的个性化设置界面中选择&quot;更改桌面图标&quot;;如下图所示: 主题被删除掉怎么办-&quot;&gt; 2.接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJ6JEp.html" rel="bookmark" class="title">java-使用http post如何传递多参数到restful web服务？</a>
					<div>
						问题描述 使用http post如何传递多参数到restful web服务? 我创建了俩个数组参数和Objects数组,我想传递它们,我可以用下面的方法吗? @POST @Path(&quot;Tes ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oOokb.html" rel="bookmark" class="title">eclipse启动tomcat无法访问的解决方法&lowbar;java</a>
					<div>
						症状: tomcat在eclipse里面能正常启动,而在浏览器中访问http://localhost:8080/不能访问,且报404错误.同时其他项目页面也不能访问. 关闭eclipse里面的tomc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqy6kb.html" rel="bookmark" class="title">mysql 有就插入没有就更新 on DUPLICATE key update批量更新</a>
					<div>
						on DUPLICATE key update批量更新 mysql有个批量更新的方法,mssql则无此命令用法,mysql的这个方法可以用来批量更新,更为强大的是:如果参数已存在则更新,如果数据库里没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2P2LQp.html" rel="bookmark" class="title">理解RESTful架构（转）</a>
					<div>
						越来越多的人开始意识到,网站即软件,而且是一种新型的软件.   这种&quot;互联网软件&quot;采用客户端/服务器模式,建立在分布式体系上,通过互联网通信,具有高延时(highlatency). ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVJX6b.html" rel="bookmark" class="title">OSS图片处理服务上线</a>
					<div>
						  向大家介绍一款阿里云的新产品:OSS图片处理服务.   如上图所示,图片处理服务构建在OSS之上,是OSS的一项扩展服务,提供实时的缩略.裁剪.转格式.加水印等功能.用户需要先在OSS控制台的&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjDG5p.html" rel="bookmark" class="title">无线动态化解决方案总结：从WeApp到Weex</a>
					<div>
						前言 入职阿里的两年时间,有幸一直从事无线动态化解决方案.从最初的WeApp,到现在的Weex,经历了WeApp的从无到有,从&quot;辉煌&quot;到没落,见证了Weex的崛起,在双十一主会场大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrxZ8M.html" rel="bookmark" class="title">Android 新一代编译 toolchain Jack &amp;amp&semi; Jill 简介</a>
					<div>
						2016 年 3 月 10 日, Google 向外界发布了 Android N 的预览版,并宣布了 Android N 的 Roadmap,Android N 的最终版源代码将于今年 8 或 9 月 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQJAAp.html" rel="bookmark" class="title">利用Advanced Installer将asp&period;netMVC连同IIS服务和mysql数据库一块打包成exe安装包</a>
					<div>
						原文:利用Advanced Installer将asp.netMVC连同IIS服务和mysql数据库一块打包成exe安装包 因为业务需要,项目中需要把asp.netmvc项目打包成exe安装程序给客户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZeaBz.html" rel="bookmark" class="title">oracle导出问题，在线等大神们解答</a>
					<div>
						问题描述 oracle导出问题,在线等大神们解答 我本地电脑上装的是oracle11g ,现在在本地导出远程机上的oracle10g的数据库 报错误904和错误1003,有没有什么解决的办法,最好详细 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKZoBb.html" rel="bookmark" class="title">百度郑中田 你该何去何从</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 自从百度被央视二次曝光后,不管是上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDxVxz.html" rel="bookmark" class="title">AM335x&lpar;TQ335x&rpar;学习笔记&mdash;&mdash;WM8960声卡驱动移植</a>
					<div>
						经过一段时间的调试,终于调好了TQ335x的声卡驱动.TQ335x采用的Codec是WM8960,本文来总结下WM8960驱动在AM335x平台上的移植方法.Linux声卡驱动架构有OSS和ALSA两 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZJQDz.html" rel="bookmark" class="title">使用HTML表单创建一个基本的PHP页面</a>
					<div>
						在本系列的第一部分中,我们将了解基本的 PHP 语法.表单和函数,以及如何连接到您的 PHP 应用程序,并通过它使用 MySQL 或者其他任何数据库. 关于本教程 本教程将引导您使用 PHP 创建一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkYD0M.html" rel="bookmark" class="title">iOS 8&period;1正式推送：新增iCloud照片图库及诸多错误修复</a>
					<div>
						苹果iOS 8.1正式推送10月21日消息,苹果今日凌晨对iOS 8.1版本正式开放下载安装.中国大陆用户在当日凌晨1点之后可通过 iOS设备的设置通用功能进行升级更新.据悉,本次发布修复了诸多错误, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZ1B6p.html" rel="bookmark" class="title">苹果电脑在终端配置my&period;ini文件</a>
					<div>
						问题描述 苹果电脑在终端配置my.ini文件 20C 苹果电脑在终端配置my.ini文件完成后,按住ctrl+x 保存的时候出现option omnifunc is not set 解决方案 iOS  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNVaqM.html" rel="bookmark" class="title">怎么能在&period;net的新建C&num;项目中出现新建ASP&period;NETWEB应用程序</a>
					<div>
						问题描述 怎么才能在.net的新建C#项目中出现新建ASP.NETWEB应用程序啊!我是新手,万分感谢! 解决方案 解决方案二:vs2005的话,直接创建网站,ASP.NET网站解决方案三:2005需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyxvdz.html" rel="bookmark" class="title">基于s1sh项目的drp在显示dtree动态树出现问题</a>
					<div>
						问题描述 这是动力节点王勇先生的drp项目,我想用s1sh改代码.在开发过程中,我碰到了在分销商这模块,在显示动态树的过程中,发觉无法显示树层.但一查调试后页面源文件,竟然发觉已经出现了d.add(' ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJq9a8p.html" rel="bookmark" class="title">怎么计算排名，查询数据</a>
					<div>
						问题描述 怎么计算排名,查询数据 知道表t_img_code中数据总数totalCount,然后计算1%~99%所对应的排名数(rank(n)=n%*totalCount),这是什么意思?如何查找排名 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjw3Q5M.html" rel="bookmark" class="title">本人一直有一个愿望，就是能自制一个旋翼机</a>
					<div>
						问题描述 本人一直有一个愿望,就是能自制一个旋翼机 谁能帮我个忙啊,我从小就有一愿望,就是自己能自制一架旋翼机,然后飞向天空,愿哪个能否给我旋翼机的一些图纸,谢謝 解决方案 我只有一个愿望我有一个愿望 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJ62Rp.html" rel="bookmark" class="title">等高线生成dem！急</a>
					<div>
						问题描述 画好了等高线怎样生成生成dem?步骤帮忙写一下?谢谢 解决方案 解决方案二:星辰技术社区:www.netcsharp.cn,我们将帮您以最快的速度找到最佳的解决方案解决方案三:等待牛人来答. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKl6vz.html" rel="bookmark" class="title">作为一名中国站长，遇到这种事我们应该怎么做？</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 2009年1月13日,打开AAA  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
